Bug 143949 - editors/openoffice-3: system unzip pickiness unhelpful for OpenOffice build
Summary: editors/openoffice-3: system unzip pickiness unhelpful for OpenOffice build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-15 09:40 UTC by areilly
Modified: 2014-04-30 23:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description areilly 2010-02-15 09:40:02 UTC
	Building port editors/openoffice-3 just now, it stops,
	unhelpfully telling one to build --from odk.  Figuring
	out how to do that reveals that it really failed like
	this:

/usr/local/bin/gcp /usr/ports/editors/openoffice.org-3/work/OOO320_m12/solver/320/unxfbsdx.pro/bin/jurt_src.zip ../../unxfbsdx.pro/misc/java_src/jurt_src.zip
cd ../../unxfbsdx.pro/misc/java_src && unzip -quo jurt_src.zip
unzip: -n, -o and -u are contradictory
dmake:  Error code 1, while making '../../unxfbsdx.pro/misc/java_src/jurt_src.zip'
dmake:  '../../unxfbsdx.pro/misc/java_src/jurt_src.zip' removed.

	This looks as though unzip is unhappy with the
	combination of flags used, above.

Fix: 

Moving /usr/bin/unzip asside so that the build sees
	/usr/local/bin/unzip is enough to allow the build to
	proceed.

	It's possible that this problem could be re-phrased as a
	ports bug against ooo, os that unzip doesn't get called
	with a contradictory set of arguments, but it's probably
	safer if our internal version just does the right
	thing. (at least as defined by this example.)
How-To-Repeat: 	Just trying to make in /usr/ports/editors/openoffice-3
	works every time, for me.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-02-15 10:17:56 UTC
Responsible Changed
From-To: freebsd-bugs->openoffice

Over to maintainer(s).
Comment 2 hg 2010-02-15 22:03:33 UTC
I don't have unzip in /usr/bin on any of the 8.0-STABLE boxens, could it
be cruft from an earlier release?
Comment 3 areilly 2010-02-15 22:37:07 UTC
On Mon, Feb 15, 2010 at 05:03:33PM -0500, Howard Goldstein wrote:
> I don't have unzip in /usr/bin on any of the 8.0-STABLE boxens, could it
> be cruft from an earlier release?

I'm running 9-current and I think that it's new with version 9,
and based on the libarchive that is the new back-end for the
system tar and what-not.

Sort of anti-cruft. :-)

If the command line args used by the ooo build are meaningful,
then I think that this could represent a bug (or misfeature) in
the new unzip, rather than in the ooo port.  I couldn't say:
the system's unzip complaint seemed reasonable on first read
of the man pages.  Anyway, that's why I filed the PR against
bin, rather than ports...  We probably need to get the author
involved, as a domain expert. (attached as CC addresses.)

Cheers,

-- 
Andrew
Comment 4 Dag-Erling Smørgrav 2010-02-16 11:16:18 UTC
Andrew Reilly <areilly@bigpond.net.au> writes:
> If the command line args used by the ooo build are meaningful,
> then I think that this could represent a bug (or misfeature) in
> the new unzip, rather than in the ooo port.

A while ago, I did a review of ports that used unzip(1).  Many of them
used flag combinations that were completely meaningless (no-op or
self-contradicting) or even unsafe.

This is a borderline case, and you could make a good case for changing
unzip(1) to accept -u and -o together, not least because there is an
example that uses -uo in the man page :) But in what way does -uo differ
from -o alone?  If there is no difference, then using -uo is pointless,
although *allowing* it is harmless.  If there is, is there also a
difference between -uo and -ou?

I can't remember what the default behavior (without either -f or -u) is.

In any case, neither -f, -u nor -o should not be used with -n.  Using -f
and -n together results in no files being extracted, -n cancels -u, and
-o and -n directly contradict each other.  Using -f and -u together is
not a good idea either: they agree on updating existing files, but
disagree on extracting new ones; which one takes precedence?

DES
--=20
Dag-Erling Sm=C3=B8rgrav - des@des.no
Comment 5 Andriy Gapon 2010-02-16 15:35:32 UTC
This is just a me too.
I am upgrading editors/openoffice-3 to 3.2.0 and been hit by this issue.
Let's make up our minds if we are going to make our unzip compatible with unzip
from ports (even if its behavior doesn't make logical sense) or if we are going to
patch openoffice port(s).
But, please, let's do one or the other.

-- 
Andriy Gapon
Comment 6 Dag-Erling Smørgrav 2010-02-16 15:52:12 UTC
We should probably allow -uo, but add checks for -f etc. as outlined in
my previous followup.

DES
--=20
Dag-Erling Sm=C3=B8rgrav - des@des.no
Comment 7 NAKATA Maho 2010-02-17 08:52:58 UTC
Hello des@

I would like to ask, accepting -uo option might work for us (I think it=
 might not)? =

Do you think upstream patches are needed for OOo? (I guess many small p=
atches
are required).

What do you think?

Meanwhile, I will apply patch in PR 142843 if it goes fine.
Thanks

From: Dag-Erling Sm=F8rgrav <des@des.no>
Subject: Re: ports/143949: editors/openoffice-3: system unzip pickiness=
 unhelpful for OpenOffice build
Date: Tue, 16 Feb 2010 16:52:12 +0100

> We should probably allow -uo, but add checks for -f etc. as outlined =
in
> my previous followup.
> =

> DES
> -- =

> Dag-Erling Sm=F8rgrav - des@des.no
> _______________________________________________
> freebsd-openoffice@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-openoffice
> To unsubscribe, send any mail to "freebsd-openoffice-unsubscribe@free=
bsd.org"
> =
Comment 8 Dag-Erling Smørgrav 2010-02-17 09:52:19 UTC
Maho NAKATA <chat95@mac.com> writes:
> I would like to ask, accepting -uo option might work for us (I think
> it might not)?=20

Sorry, I don't understand the question.

DES
--=20
Dag-Erling Sm=C3=B8rgrav - des@des.no
Comment 9 Baptiste Daroussin freebsd_committer 2011-09-20 15:05:32 UTC
Responsible Changed
From-To: openoffice->office

Over to new maintainer
Comment 10 Pedro F. Giffuni freebsd_committer 2014-04-30 23:20:22 UTC
State Changed
From-To: open->closed

OpenOffice-3 is not available anymore.